taheri/neew/neew/Models/LoginViewModel.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;
namespace neew.Models
{
    public class LoginViewModel
    {

        [Display(Name = "نام کاربری")]
        [Required(ErrorMessage = "لطفا {0} را وارد کنید.")]
        public string UName { get; set; }

        [Display(Name = "کلمه عبور")]
        [Required(ErrorMessage = "لطفا {0} را وارد کنید.")]
        [DataType(DataType.Password)]
        public string Pass { get; set; }

        [Display(Name = "مرا به خاطر بسپار")]

        public bool Remember { get; set; }
    }
}

taheri/neew/neew/Controllers/EditUserController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Net;
using System.Web;
using System.Web.Mvc;
using neew.Models;

namespace neew.Controllers
{
    public class EditUserController : Controller
    {
        private DataBaseContext db = new DataBaseContext();

        // GET: /EditUser/
        public ActionResult Index()
        {
            return View(db.users.ToList());
        }

        // GET: /EditUser/Details/5
        public ActionResult Details(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            User user = db.users.Find(id);
            if (user == null)
            {
                return HttpNotFound();
            }
            return View(user);
        }

        // GET: /EditUser/Create
        public ActionResult Create()
        {
            return View();
        }

        // POST: /EditUser/Create
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Create([Bind(Include="ID,UName,FName,LName,Email,Pass,Phone,City,InsertTime")] User user)
        {
            if (ModelState.IsValid)
            {
                db.users.Add(user);
                db.SaveChanges();
                return RedirectToAction("Index");
            }

            return View(user);
        }

        // GET: /EditUser/Edit/5
        public ActionResult Edit()
        {
            string name = User.Identity.Name;
            int id = db.users.Where(x => x.UName == name).Select(x => x.ID).Single();
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            User user = db.users.Find(id);
            if (user == null)
            {
                return HttpNotFound();
            }
            return View(user);
        }

        // POST: /EditUser/Edit/5
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit([Bind(Include="ID,UName,FName,LName,Email,Pass,Phone,City,InsertTime")] User user)
        {
            //string name = User.Identity.Name;
            //int id = db.users.Where(x => x.UName == name).Select(x => x.ID).Single();
            //user.ID = id;
            if (ModelState.IsValid)
            {

                string mail = db.users.Where(x => x.UName == user.UName).Select(x=>x.Email).Single();
                if (mail != user.Email)
                {
                    bool validmail = db.users.Any(x => x.Email == user.Email);
                    if (validmail)
                    {
                        ViewBag.log = "ایمیل شما تکراری است";
                        return View("Edit");
                    }
                    else
                    {
                        db.Entry(user).State = EntityState.Modified;
                        db.SaveChanges();
                        return RedirectToAction(actionName: "Profile", controllerName: "Home");
                    }
                }
                else { 
                db.Entry(user).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction(actionName:"Profile",controllerName:"Home");
                }
            }
            return View(user);
        }

        // GET: /EditUser/Delete/5
        public ActionResult Delete(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            User user = db.users.Find(id);
            if (user == null)
            {
                return HttpNotFound();
            }
            return View(user);
        }

        // POST: /EditUser/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public ActionResult DeleteConfirmed(int id)
        {
            User user = db.users.Find(id);
            db.users.Remove(user);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                db.Dispose();
            }
            base.Dispose(disposing);
        }
    }
}

taheri/neew/neew/Controllers/ShopController.cs
using CaptchaMvc.Attributes;
using CaptchaMvc.Infrastructure;
using neew.Models;
using System.Data.Entity;
using System.IO;
using System.Linq;
using System.Net;
using System.Web;
using System.Web.Mvc;
using System.Web.Security;
using System.Linq.Expressions;
using CaptchaMvc.HtmlHelpers;
using CaptchaMvc.Models;
using System.Web.Routing;
namespace neew.Controllers
{

    [Authorize(Roles="Admin")]
    public class ShopController : Controller
    {
        private DataBaseContext db = new DataBaseContext();
        private LoginDBEntities1 db2 = new LoginDBEntities1();
        public ActionResult Index()
        {
            return View();
            
        }

        [HttpGet]
        public ActionResult Show(int? id)
        {

            Book book = db.books.Find(id);
            return View(book);
        }

        public ActionResult User()
        {
            return View(db.users.Where(x=>x.UName!="fereshte").ToList());
        }
        public ActionResult DeleteUser(int? id)////from person
        {          
            User user = db.users.Find(id);           
            db.users.Remove(user);
            
            db.SaveChanges();
            return RedirectToAction("User");
        }
        public ActionResult Book()
        {
            return View(db.books.ToList());
        }

        public ActionResult DeleteBook(int? id)
        {
            Book book = db.books.Find(id);
            db.books.Remove(book);
            db.SaveChanges();
            return RedirectToAction("Book");
        }


        public ActionResult DeleteBookFac(int? id,int? id2)
        {
            int factor = db.Fctboks.Where(x => x.FID == id && x.BookId== id2).Select(x => x.id).Single();
            FctBok fbok = db.Fctboks.Find(factor);
            db.Fctboks.Remove(fbok);      
            FctUsr fu = db.Fctusrs.Find(id);
            fu.Count--; 
            if (fu.Count == 0)
            {
                db.Fctusrs.Remove(fu);

            }
            db.SaveChanges();
            return RedirectToAction("FactorDetails", new {id=id });
        }

       
        public ActionResult EditBook(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Book book= db.books.Find(id);
            if (book == null)
            {
                return HttpNotFound();
            }
            return View(book);
        }

       
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult EditBook([Bind(Include = "IDBook,BName,Writer,Translator,Publisher,Year,Condition,Price,Editing,BookOwner,Existence,InsertTime")] Book book)
        {
            if (ModelState.IsValid)
            {
                db.Entry(book).State = EntityState.Modified;          
                db.SaveChanges();
                return RedirectToAction("Book");
            }
            return View("EditBook");
        }

   
        public ActionResult Seen(int? id)
        {

            WaitBook wbook = db.Wbook.Find(id);
            return View(wbook);
        }
        [HttpPost]
        public ActionResult Seen([Bind(Include = "IDBook,BName,Writer,Translator,Publisher,Year,Condition,Price,Editing,BookOwner,Existence,Image,InsertTime")] Book book)
        {
               
                WaitBook b = db.Wbook.Find(book.IDBook);
               
               

                book.Existence= true;
                book.Image = b.Image;
                db.books.Add(book); 
               db.Wbook.Remove(b);
               db.SaveChanges();
                //BookPic pic=db.pics.Where(x => x.BookID == b.IDBook).Single();
                //pic.BookID = book.IDBook;

                //db.Entry(pic).State = EntityState.Modified;
            
                db.SaveChanges();
                return RedirectToAction("NewBook");        
        }

        public ActionResult DeleteWB(int? id)
        {
           WaitBook b= db.Wbook.Find(id);
           db.Wbook.Remove(b);
           db.SaveChanges();
           return RedirectToAction("NewBook");
        }
       [HttpGet]
        public ActionResult NewBook()
        {
            return View(db.Wbook.ToList());
        }


       public ActionResult Factor()
       {
           return View(db.Fctusrs.Where(x => x.Final == true));

       }

       public ActionResult FactorDetails(int? id)
       {
           return View(db.Fctboks.Where(x => x.FID == id));
       }


       public ActionResult Edit(int? id)
       {
           //string name = User.Identity.Name;
           //int id= db.users.Where(x => x.UName == name).Select(x => x.ID).Single();
           if (id == null)
           {
               return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
           }
           User user = db.users.Find(id);
           if (user == null)
           {
               return HttpNotFound();
           }
           return View(user);
       }
       [HttpPost]
       [ValidateAntiForgeryToken]
       public ActionResult Edit([Bind(Include = "ID,UName,FName,LName,Email,Pass,Phone,City,InsertTime")] User user)
       {
           if (ModelState.IsValid)
           {
                string mail = db.users.Where(x => x.UName == user.UName).Select(x=>x.Email).Single();
                if (mail != user.Email)
                {
                    bool validmail = db.users.Any(x => x.Email == user.Email);
                    if (validmail)
                    {
                        ViewBag.log = "ایمیل شما تکراری است";
                        return View("Edit");
                    }
                    else
                    {
                        db.Entry(user).State = EntityState.Modified;
                        db.SaveChanges();
                        return RedirectToAction("User");
                    }
                }
                else
                {
                    db.Entry(user).State = EntityState.Modified;
                    db.SaveChanges();
                    return RedirectToAction("User");
                }
           }
           return View(user);
       }



        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                db.Dispose();
            }

            base.Dispose(disposing);
        }
	}
}

taheri/neew/neew/Views/Home/AddBook.cshtml
@model neew.Models.Book
@{
    Layout = "~/Views/Layout/_LayoutPage1.cshtml";
}

<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>AddBook</title>
    <link href="~/css/bootstrap.css" rel="stylesheet" />
    <link href="~/css/bootstrap.min.css" rel="stylesheet" />
    <link href="~/css/bootstrap.rtl.css" rel="stylesheet" />
    <link href="~/css/bootstrap.rtl.min.css" rel="stylesheet" />
    <link href="../style/StyleSheet1.css" rel="stylesheet" />
</head>
<body>
    <div class="container" style="font-size:15px;font-family:Arial">
        @*@using (Html.BeginForm(new { @class = "form-horizontal", role = "form",FormMethod.Post ,enctype = "multipart/form-data" }))*@
        @*//("AddBook", "Home", )

            // {, new{enctype = "multipart/form-data"}
             {*@
        @using (Html.BeginForm("AddBook", "Home", FormMethod.Post, new{enctype = "multipart/form-data"}))
        {
        
            @Html.AntiForgeryToken()

            <div class="form-horizontal">
                <h4>افزودن کتاب</h4>
                <hr />
                @Html.ValidationSummary(true)

                <h2>@ViewBag.message</h2>

                <div class="form-group">
                    <label for="uname" class="control-label col-md-2">نام کتاب</label>
                    <div class="col-md-3">
                        @Html.TextBoxFor(model => model.BName, new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.BName)
                    </div>
                </div>

                <div class="form-group">
                    <label for="uname" class="control-label col-md-2">نویسنده</label>
                    <div class="col-md-3">
                        @Html.TextBoxFor(model => model.Writer, new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.Writer)
                    </div>
                </div>

                <div class="form-group">
                    <label for="uname" class="control-label col-md-2">مترجم</label>
                    <div class="col-md-3">
                        @Html.TextBoxFor(model => model.Translator, new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.Translator)
                    </div>
                </div>

                <div class="form-group">
                    <label for="uname" class="control-label col-md-2">نام انتشارات</label>
                    <div class="col-md-3">
                        @Html.TextBoxFor(model => model.Publisher, new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.Publisher)
                    </div>
                </div>

                <div class="form-group">
                    <label for="uname" class="control-label col-md-2">سال چاپ</label>
                    <div class="col-md-3">
                        @Html.TextBoxFor(model => model.Year, new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.Year)
                    </div>
                </div>

                <div class="form-group">
                    <label for="uname" class="control-label col-md-2">وضعیت</label>
                    <div class="col-md-3">
                        @Html.TextBoxFor(model => model.Condition, new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.Condition)
                    </div>
                </div>

                <div class="form-group">
                    <label for="uname" class="control-label col-md-2">قیمت</label>
                    <div class="col-md-3">
                        @Html.TextBoxFor(model => model.Price, new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.Price)
                    </div>
                </div>

                <div class="form-group">
                    <label for="uname" class="control-label col-md-2">شماره ویرایش</label>
                    <div class="col-md-3">
                        @Html.TextBoxFor(model => model.Editing, new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.Editing)
                    </div>
                </div>
                @*<div class="row">
                    <div class="col-lg-3">
                        <div class="form-group">
                            <label for="uname" class="control-label col-md-2">عکس کتاب</label>
                            <div>
                                <img id="user_img"
                                     height="100"
                                     width="90"
                                     style="border:solid" />
                            </div>
                        </div>*@
                        <div class="form-group">
                            <label for="uname" class="control-label col-md-2">انتخاب</label>
                            <div>
                                <input type="file" title="search image" id="file1" name="file1" onchange="show(this)" />
                            </div>
                        </div>
                    @*</div>*@




                    <div class="form-group">
                        <div class="col-md-offset-2 col-md-10">
                            <input type="submit" value="ثبت" class="btn btn-default btn-lg" />
                            <input type="reset" value="نوسازی" class="btn btn-default btn-lg" />
                        </div>
                    </div>
                </div>
                }


            </div> 
        <script src="~/js/jquery.min.js"></script>


        @*<script type="text/javascript">
            function show(input) {
                if (input.files && input.files[0]) {
                    var filerdr = new FileReader();
                    filerdr.onload = function (e) {
                        $('#user_img').attr('src', e.target.result);
                    }
                    filerdr.readAsDataURL(input.files[0]);
                }
            }
            </script>
                </div>
    </div>*@
</body>
</html>

taheri/neew/neew/Views/Home/Basket.cshtml
@model IEnumerable<neew.Models.FctBok>
@{
    Layout = "~/Views/Layout/_LayoutPage1.cshtml";
}

<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>Basket</title>
    <link href="~/css/bootstrap.css" rel="stylesheet" />
    <link href="~/css/bootstrap.min.css" rel="stylesheet" />
    <link href="~/css/bootstrap.rtl.css" rel="stylesheet" />
    <link href="~/css/bootstrap.rtl.min.css" rel="stylesheet" />
    <link href="~/style/StyleSheet1.css" rel="stylesheet" />
</head>
<body>
    <div class="container">
    @if (ViewBag.em != null)
    {
        <br /><br /><br /><br />
        <div style="text-align:center">
        <h1>سبد خرید شما خالی میباشد</h1>
        </div>
    }
    else
    {
        <h4>سبد خرید</h4>
        <h3>خرید خود را نهایی کنید</h3>

        <div class="container" style="font-size:15px;font-family:Arial">
            <table class="table">

                <tr>
                    <th>
                        <label for="BName"> نام کتاب</label>
                    </th>
                    <th>
                        <label for="Price"> قیمت</label>
                    </th>
                    <th>
                        <label for="was"> مشاهده جزییات</label>
                    </th>
                    <th>
                        <label for="was"> تغییر</label>
                    </th>
                </tr>

                @foreach (var item in Model)
                {
                    <tr>
                        <td>
                            @Html.DisplayFor(modelItem => item.BName)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.Price)
                        </td>
                        <td>
                            @Html.ActionLink("دیدن", "Shop", new { id = item.BookId })
                        </td>
                        <td>
                            @Html.ActionLink("حذف", "DeleteB", new { id = item.BookId, id2 = item.FID })
                        </td>
                    </tr>
                }
            </table>
            @Html.ActionLink("ثبت نهایی", "Final")
        </div>
    }
      </div>
</body>
</html>

taheri/neew/neew/Views/Home/BookDisplay.cshtml
@model IEnumerable<neew.Models.Book>
@{
    Layout = "~/Views/Layout/_LayoutPage1.cshtml";
}

<!DOCTYPE html>


<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>BookDisplay</title>
    <link href="~/css/bootstrap.css" rel="stylesheet" />
    <link href="~/css/bootstrap.min.css" rel="stylesheet" />
    <link href="~/css/bootstrap.rtl.css" rel="stylesheet" />
    <link href="~/css/bootstrap.rtl.min.css" rel="stylesheet" />
    <link href="../style/StyleSheet1.css" rel="stylesheet" />
</head>
<body>
    

    <div class="container" style="font-size:15px;font-family:Arial">
        <table class="table">
            <tr>
             
                <th>
                    <label for="BName">نام کتاب</label>
                </th>
                <th>
                    <label for="BName"> نویسنده</label>
                </th>

                <th>
                    <label for="BName"> قیمت</label>
                </th>

                <th>
                    <label for="BName"> موجود بودن</label>
                </th>
                <th>
                    <label>مشاهده</label>
                </th>
                <th>
                    <label>افزودن</label>
                </th>
            </tr>

            @foreach (var item in Model)
            {
                <tr>
                  @*<td>
                      <img src=@Url.Content(item.Image) style="height:50px;width:50px;"/>
                  </td>*@
                    <td>
                        @Html.DisplayFor(Item => item.BName)
                    </td>
                    <td>
                        @Html.DisplayFor(Item => item.Writer)
                    </td>
                    <td>
                        @Html.DisplayFor(Item => item.Price)
                    </td>
                    <td>

                        @if (item.Existence == true)
                        {
                            <p>موجود</p>
                        }
                        else
                        {
                            <p>ناموجود</p>
                        }
                        </td>
                        <td>
                            @Html.ActionLink("دیدن", "Shop", new { id = item.IDBook })
                        </td>
                    <td>
                     @if (item.Existence == true && User.Identity.IsAuthenticated && item.BookOwner != User.Identity.Name) { 
                        @Html.ActionLink("افزودن به سبد", "Basket", new { id = item.IDBook })
                     }
                    </td>
                    </tr>
            }

        </table>

 

    </div>
</body>
</html>

taheri/neew/neew/Views/Home/Display.cshtml
@model IEnumerable<neew.Models.Book>
@{
    Layout = null;
}

<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>Display</title>
    <link href="~/css/bootstrap.css" rel="stylesheet" />
    <link href="~/css/bootstrap.min.css" rel="stylesheet" />
    <link href="~/css/bootstrap.rtl.min.css" rel="stylesheet" />
</head>
<body>
    <table class="table">
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.BName)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Writer)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Translator)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Publisher)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Year)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Condition)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Price)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Editing)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Existence)
            </th>
            <th></th>
        </tr>

        @foreach (var item in Model)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.BName)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Writer)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Translator)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Publisher)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Year)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Condition)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Price)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Editing)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Existence)
                </td>
               
            </tr>
        }

    </table>
</body>
</html>

taheri/neew/neew/Views/Home/FactorDetails.cshtml
@model IEnumerable<neew.Models.FctBok>
@{
    Layout = "~/Views/Layout/_LayoutPage1.cshtml";
}

<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>FactorDetails</title>
    <link href="~/css/bootstrap.css" rel="stylesheet" />
    <link href="~/css/bootstrap.min.css" rel="stylesheet" />
    <link href="~/css/bootstrap.rtl.css" rel="stylesheet" />
    <link href="~/css/bootstrap.rtl.min.css" rel="stylesheet" />
    <link href="~/style/StyleSheet1.css" rel="stylesheet" />
</head>
<body>
    <div class="container" style="font-size:15px;font-family:Arial">
        <table class="table">
            <tr>
                <th>
                    <label for="BName"> شماره کتاب</label>
                </th>
                <th>
                    <label for="BName"> نام کتاب</label>
                </th>

                <th>
                    <label for="BName"> قیمت</label>
                </th>

            </tr>

            @foreach (var item in Model)
            {
                <tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.BookId)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.BName)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Price)
                    </td>

                    <td>
                        @Html.ActionLink("دیدن", "Shop", new { id = item.BookId })
                    </td>
                </tr>
            }

        </table>
    </div>
</body>
</html>

taheri/neew/neew/Views/Home/Final.cshtml
@{
    Layout = "~/Views/Layout/_LayoutPage1.cshtml";
}

<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>Final</title>
    <link href="~/css/bootstrap.css" rel="stylesheet" />
    <link href="~/css/bootstrap.min.css" rel="stylesheet" />
    <link href="~/css/bootstrap.rtl.css" rel="stylesheet" />
    <link href="~/css/bootstrap.rtl.min.css" rel="stylesheet" />
    <link href="../style/StyleSheet1.css" rel="stylesheet" />
</head>
<body>
    <div style="text-align:center">
        <br /><br />

        <h1 >خرید شما با موفقیت ثبت شد</h1>
    </div>
</body>
</html>

taheri/neew/neew/Views/Home/Profile.cshtml
@model neew.Models.User
@{
    Layout = "~/Views/Layout/_LayoutPage1.cshtml";
}

<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>Profile</title>
    <link href="~/css/bootstrap.css" rel="stylesheet" />
    <link href="~/css/bootstrap.min.css" rel="stylesheet" />
    <link href="~/css/bootstrap.rtl.css" rel="stylesheet" />
    <link href="~/css/bootstrap.rtl.min.css" rel="stylesheet" />
    <link href="../style/StyleSheet1.css" rel="stylesheet" />
</head>
<body>


    <div class="container" style="font-size:16px">
        <h3>پروفایل شما</h3>
        <br />
        <div class="col-lg-1">
        @Html.ActionLink("تغییر رمز", "EditPass",new{area=""}, new{@class="btn btn-warning navbar-brand" })
        </div>
        <div class="col-lg-1"></div>
        <div class="col-lg-1">
            @*<a href="~/EditUser/Edit">ویرایش</a>*@
            @Html.ActionLink("ویرایش", "EditUser", new { area = "" }, new { @class = "btn btn-warning navbar-brand" })
        </div>
        <div class="col-lg-1"></div>
        <div class="col-lg-1">
        @Html.ActionLink("کتاب های من", "MyBook", new { area = "" }, new { @class = "btn btn-warning navbar-brand" })
        </div>
        <div class="col-lg-1"></div>
        <div class="col-lg-1">
        @Html.ActionLink("فاکتورهای من", "MyFactor", new { area = "" }, new { @class = "btn btn-warning navbar-brand" })
        </div>
        <br /><br />
        <hr />
     
        <dl class="dl-horizontal" style="font-size:16px;font-family:Arial;">
            <dt>
                <label for="BName">نام کاربری</label>
            </dt>

            <dd>
                @Html.DisplayFor(model => model.UName)
            </dd>
            <dt>
                <label for="BName"> نام</label>
            </dt>

            <dd>
                @Html.DisplayFor(model => model.FName)
            </dd>

            <dt>
                <label for="BName"> نام خانوادگی</label>
            </dt>

            <dd>
                @Html.DisplayFor(model => model.LName)
            </dd>

            <dt>
                <label for="BName"> ایمیل</label>
            </dt>

            <dd>
                @Html.DisplayFor(model => model.Email)
            </dd>

            <dt>
                <label for="BName"> تلفن همراه</label>
            </dt>

            <dd>
                @Html.DisplayFor(model => model.Phone)
            </dd>

            <dt>
                <label for="BName"> شهر</label>
            </dt>

            <dd>
                @Html.DisplayFor(model => model.City)
            </dd>

            <dt>
                <label for="BName">تاریخ ثبت نام</label>
            </dt>

            <dd>
                @Html.DisplayFor(model => model.InsertTime)
            </dd>
        </dl>
      
    </div> 
</body>
</html>